<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE  overlay SYSTEM "chrome://mid/locale/dictionaries.dtd" >

<xsl:stylesheet version="1.0"
xmlns:mid="http://mid.mozdev.org/dictionaries"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:template match="/">
<html>
<head>
<link rel="stylesheet" type="text/css" href="../skin/classic/dict.css"/> 
</head>


<body>
<table class="toptable">
<caption>&dict.showdict.header;
<div class="ctrlf">&dict.showdict.crtlf;</div>
</caption>
<tr>
	<td  class="hno">&dict.showdict.header.no;</td>
	<td  class="htypes">&dict.showdict.header.type;</td>
	<td  class="hshortnames">&dict.showdict.header.name;</td>
	<td  class="huris">&dict.showdict.header.uri;</td>
	<td  class="hplace" > </td>
</tr>
</table>
<table> 
<div class="scrolled" >

<xsl:for-each select="*/mid:dict">
<xsl:sort select="@type"/>
<xsl:sort select="@label"/>
<xsl:variable name="iCount" select="position()" />
	<tr class="scrolledrow">
	<td class="no"><xsl:value-of select="$iCount"/></td>
	<td class="types"><xsl:value-of select="@type"/></td>
	<td class="shortnames"><xsl:value-of select="@label"/></td>
	<td class="uris"><xsl:value-of select="@url"/></td>
</tr>
</xsl:for-each>
</div>
</table>
</body>
</html>
</xsl:template>

</xsl:stylesheet>
